> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Conversation

> Start a new WhatsApp conversation with a customer by sending a template.

Creates the conversation record and sends the initial template message.
Business-initiated conversations require a pre-approved template (WhatsApp policy).



## OpenAPI

````yaml /openapi.json post /messaging/conversations/start
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /messaging/conversations/start:
    post:
      tags:
        - Messaging
      summary: Start Conversation
      description: >-
        Start a new WhatsApp conversation with a customer by sending a template.


        Creates the conversation record and sends the initial template message.

        Business-initiated conversations require a pre-approved template
        (WhatsApp policy).
      operationId: start_conversation_messaging_conversations_start_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartConversationBody'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StartConversationBody:
      properties:
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        template_name:
          type: string
          title: Template Name
        language:
          type: string
          title: Language
          default: en
        components:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Components
      type: object
      required:
        - customer_id
        - template_name
      title: StartConversationBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````